Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.model.factory
Interface TCPIPSocketFactory

All Known Implementing Classes:
  TCPIPSocketFactoryExtendedImpl, TCPIPSocketFactoryImpl

    public interface TCPIPSocketFactory

This class represents a SocketFactory interface that can be used for extensibility at socket level. For more detailed method description, please refer the corresponding parts of java.net.Socket.

Version:
  cvs revision: $Revision: 1.3 $ Last Modified: $Date: 2005/09/03 06:33:15 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Method Summary
`java.net.ServerSocket` | `createServerSocket(int port)` Creates a ServerSocket object.
`java.net.ServerSocket` | `createServerSocket(int port, int backlog)` Creates a ServerSocket object.
`java.net.ServerSocket` | `createServerSocket(int port, int backlog, java.net.InetAddress bindAddr)` Creates a ServerSocket object.
`java.net.Socket` | `createSocket(java.net.InetAddress address, int port)` Creates a Socket object.
`java.net.Socket` | `createSocket(java.net.InetAddress address, int port, java.net.InetAddress localAddr, int localPort)` Creates a Socket object.
`java.net.Socket` | `createSocket(java.lang.String host, int port)` Creates a Socket object.
`java.net.Socket` | `createSocket(java.lang.String host, int port, java.net.InetAddress localAddr, int localPort)` Creates a Socket object.

Field Detail

### version

    static final java.lang.String version

See Also:
  Constant Field Values

Method Detail

### createSocket

    java.net.Socket createSocket(java.lang.String host,
                                 int port)
                                 throws java.net.UnknownHostException,
                                        java.io.IOException

  Creates a Socket object.

  Parameters:
    `host` - The host name.
    `port` - The port number.
  Returns:
    Socket object
  Throws:
    `java.net.UnknownHostException` - on error
    `java.io.IOException` - on error

### createSocket

    java.net.Socket createSocket(java.net.InetAddress address,
                                 int port)
                                 throws java.io.IOException

  Creates a Socket object.

  Parameters:
    `address` - The InetAddress of the host
    `port` - The port number.
  Returns:
    Socket object
  Throws:
    `java.io.IOException` - on error

### createSocket

    java.net.Socket createSocket(java.lang.String host,
                                 int port,
                                 java.net.InetAddress localAddr,
                                 int localPort)
                                 throws java.net.UnknownHostException,
                                        java.io.IOException

  Creates a Socket object.

  Parameters:
    `host` - The host name.
    `port` - The port number.
    `localAddr` - The InetAddress of local side.
    `localPort` - The port number of local side.
  Returns:
    Socket object
  Throws:
    `java.net.UnknownHostException` - on error
    `java.io.IOException` - on error

### createSocket

    java.net.Socket createSocket(java.net.InetAddress address,
                                 int port,
                                 java.net.InetAddress localAddr,
                                 int localPort)
                                 throws java.io.IOException

  Creates a Socket object.

  Parameters:
    `address` - The InetAddress of the host.
    `port` - The port number.
    `localAddr` - The InetAddress of local side.
    `localPort` - The port number of local side.
  Returns:
    Socket object
  Throws:
    `java.io.IOException` - on error

### createServerSocket

    java.net.ServerSocket createServerSocket(int port)
                                             throws java.io.IOException

  Creates a ServerSocket object.

  Parameters:
    `port` - The port number.
  Returns:
    ServerSocket object
  Throws:
    `java.io.IOException` - on error

### createServerSocket

    java.net.ServerSocket createServerSocket(int port,
                                             int backlog)
                                             throws java.io.IOException

  Creates a ServerSocket object.

  Parameters:
    `port` - The port number.
    `backlog` - The backlog number.
  Returns:
    ServerSocket object
  Throws:
    `java.io.IOException` - on error

### createServerSocket

    java.net.ServerSocket createServerSocket(int port,
                                             int backlog,
                                             java.net.InetAddress bindAddr)
                                             throws java.io.IOException

  Creates a ServerSocket object.

  Parameters:
    `port` - The port number.
    `backlog` - The backlog number.
    `bindAddr` - The InetAddress to bind.
  Returns:
    ServerSocket object
  Throws:
    `java.io.IOException` - on error

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD